/**********************************************/
/*  MAT 259 Information Visualization         */
/*  Linear Gradient Demo                      */
/*  Author: Weihao Qiu   
    Adjusted by G.Legradu. 2.5.24 

Call <stroke> function before <vertex> to color given point  

Compare with Processing Simple Linear Gradient using lerpColor:
https://processing.org/examples/lineargradient.html
https://processing.org/reference/lerpColor_.html

/**********************************************/


void setup() {
  size(800, 600, P3D);// add P2D or P3D to enable the gradient
}
void draw() {
  background(255);
  strokeWeight(70);
  
  
  beginShape();
  // point 1 with color (50, 50, 250) // start with blue
  stroke(50, 50, 250);
  vertex(150, 500);
  
  // gradually change to point 2 with color (250, 50, 50) //red
  stroke(250, 50, 50);
  vertex(700, 100);
  
  // gradually change to point 3 with color (50, 250, 50) //green
  stroke(50, 250, 50);
  vertex(450, 550);
  
  // gradually change to point 4 (back to point 1) with color (50, 50, 250)
  stroke(50, 50, 250);// end with blue
  vertex(140, 100);
  
  endShape();
}
